import { LineRewriter } from './util/log.js';
import type { Issue, Report } from './types/issues.js';
type IssueCollectorOptions = {
    cwd: string;
    report?: Report;
};
export declare class IssueCollector {
    report: Report;
    issues: import("./types/issues.js").Issues;
    counters: import("./types/issues.js").Counters;
    lineRewriter: LineRewriter;
    pluginEntryFile: Set<string>;
    referencedFiles: Set<string>;
    cwd: string;
    constructor({ cwd, report }: IssueCollectorOptions);
    setTotalFileCount(count: number): void;
    addFilesIssues(filePaths: string[]): void;
    addIssue(issue: Issue): void;
    setReport(report: Report): void;
    getIssues(): {
        report: Report;
        issues: import("./types/issues.js").Issues;
        counters: import("./types/issues.js").Counters;
    };
}
export {};
