import { _load } from '../../util/loader.js';
import { timerify } from '../../util/performance.js';
import { hasDependency } from '../../util/plugin.js';
export const NAME = 'TypeDoc';
export const ENABLERS = ['typedoc'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = [
    'typedoc.{js,cjs,json,jsonc}',
    'typedoc.config.{js,cjs}',
    '.config/typedoc.{js,cjs,json,jsonc}',
    '.config/typedoc.config.{js,cjs}',
];
const findPluginDependencies = async (configFilePath) => {
    const config = await _load(configFilePath);
    return config?.plugins ?? [];
};
export const findDependencies = timerify(findPluginDependencies);
