import ts from 'typescript';
import { ProjectPrincipal } from './project-principal.js';
import type { SyncCompilers, AsyncCompilers } from './types/compilers.js';
import type { Report } from './types/issues.js';
type Paths = ts.CompilerOptions['paths'];
type Principal = {
    principal: ProjectPrincipal;
    cwds: Set<string>;
    paths: Set<string>;
    isDefaultBaseUrl: boolean;
};
type Principals = Set<Principal>;
type Options = {
    cwd: string;
    compilerOptions: ts.CompilerOptions;
    report: Report;
    paths: Paths;
    compilers: [SyncCompilers, AsyncCompilers];
};
export declare class PrincipalFactory {
    principals: Principals;
    getPrincipal({ cwd, compilerOptions, report, paths, compilers }: Options): ProjectPrincipal;
    private findReusablePrincipal;
    private linkPrincipal;
    private addNewPrincipal;
    getPrincipals(): ProjectPrincipal[];
}
export {};
