import { LineRewriter } from './util/log.js';
export class ProgressUpdater {
    lineRewriter;
    isShowProgress = false;
    constructor({ isShowProgress = false }) {
        this.lineRewriter = new LineRewriter();
        this.setIsShowProgress(isShowProgress);
    }
    setIsShowProgress(isShowProgress) {
        this.isShowProgress = isShowProgress;
    }
    updateMessage(message) {
        if (!this.isShowProgress)
            return;
        this.lineRewriter.update([message]);
    }
    removeProgress() {
        if (!this.isShowProgress)
            return;
        this.lineRewriter.resetLines();
    }
}
